Loading...
Searching...
No Matches
QXmppByteStreamIq::StreamHost Class Reference

## Public Member Functions

QString | jid () const
void | setJid (const QString &jid)
QString | host () const
void | setHost (const QString &host)
quint16 | port () const
void | setPort (quint16 port)
QString | zeroconf () const
void | setZeroconf (const QString &zeroconf)

## Detailed Description

StreamHost represents information about a specific SOCKS5 bytestreams host.

## Member Function Documentation

## host()

QString QXmppByteStreamIq::StreamHost::host | ( |  | ) | const

Returns the host address of the stream host.

## jid()

QString QXmppByteStreamIq::StreamHost::jid | ( |  | ) | const

Returns the JID of the stream host.

## port()

quint16 QXmppByteStreamIq::StreamHost::port | ( |  | ) | const

Returns the port of the stream host.

## setHost()

void QXmppByteStreamIq::StreamHost::setHost | ( | const QString & | host | ) |

Sets the host address of the stream host.

## setJid()

void QXmppByteStreamIq::StreamHost::setJid | ( | const QString & | jid | ) |

Sets the JID of the stream host.

## setPort()

void QXmppByteStreamIq::StreamHost::setPort | ( | quint16 | port | ) |

Sets the port of the stream host.

## setZeroconf()

void QXmppByteStreamIq::StreamHost::setZeroconf | ( | const QString & | zeroconf | ) |

Sets the zero-configuration service available for bytestreaming.

## zeroconf()

QString QXmppByteStreamIq::StreamHost::zeroconf | ( |  | ) | const

Returns the zero-configuration service available for bytestreaming.

The documentation for this class was generated from the following files:

- QXmppByteStreamIq.h
- QXmppByteStreamIq.cpp